Subject: Re: Announcing Filespooler

From: John Goerzen <[email-masked]>
Date: Wed, 01 Jun 2022 19:03:46 -0500

On Tue, May 31 2022, Jonathan Lane wrote:

>
> Very cool! One thing I'd add to your Syncthing article is that Syncthing
> supports the concept of a folder being send-only or receive only, so you
> could potentially wire up a full send-receive pair over a pair of
> folders if you only needed to write between two machines.  With a bit of
> clever integration with Postfix you could probably use this as a mail
> bridge.

Quite true, one could tunnel Postfix or Exim over Filespooler as easily
as over NNCP.  However, the problem with a unidirectional Syncthing
folder is the one of knowing when to delete the file.  With
bidirectional syncing, the sender creates, and the receiver deletes
after processing.

- John